/*=====================================TOP SECTION======================================*/
@import 'components.top';
@import 'components.partners';
@import 'components.menu';
@import 'components.modal';
@import 'components.wheel';
@import 'components.giftModal';
/*======================================================================================*/

.account{
    position: relative;

    &__btn{
        margin-bottom: 50px;
    }

    &__title{
        @media screen and (max-width: 768px) {
            font-size: 20px;
            padding: 8px 60px;
        }

        @media screen and (max-width: 375px) {
            padding: 8px 30px;
        }
    }
    
    &__inner{
        padding-top: 220px;
        display: flex;
        flex-direction: column;
        align-items: center;
        padding-bottom: 240px;
        @media screen and (max-width: 768px) {
           padding-top: 200px;
           padding-bottom: 100px;
        }

        @media screen and (max-width: 525px) {
            padding-top: 140;
         }
        
    }

    .phone{
        color: $text;
        display: flex;
        flex-direction: column;
        font-size: 36px;
        letter-spacing: 0.05em;
        align-items: center;
        padding-bottom: 15px;

        @media screen and (max-width: 525px) {
            font-size: 24px;
        }

        .logout{
            margin-left: 20px;
            cursor: pointer;
            background-color: transparent;
            margin-top: 25px;
            margin-bottom: 10px;
            
            img{
                filter: invert(12%) sepia(99%) saturate(7500%) hue-rotate(253deg) brightness(99%) contrast(113%);
                width: 40px;
            }
        }
    }

    .tablet{
        background-color: rgba(34, 34, 34, 0.8);
        border: 1px solid #111111;
        box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.5);
        width: 100%;
        backdrop-filter: blur(4px);
        padding: 30px 112px;
        border-radius: 15px;
        color: $text;
        font-weight: 700;

        @media screen and (max-width: 1024px) {
            padding: 30px 50px;
            min-width: 100%;
            overflow-x: auto;
        }


        &__item{
            display: flex;
            justify-content: space-between;

            &:nth-child(1) {
                font-size: 24px;

                @media screen and (max-width: 768px) {
                    font-size: 20px;
                }
            }

            p {
                width: 110px;
                text-align: center;
                margin: 10px 0;

                @media screen and (max-width: 900px) {
                   width: 200px;
                   min-width: 160px;
                }
            }
        }
    }
}

.circle-white-account{
    position: absolute;
    left: 360px;
    top: 60%;
    animation: MoveUpDown 1.2s ease-in-out infinite;

    @media screen and (max-width: 1024px) {
        left: 120px;
        top: 50%;
    }

    @media screen and (max-width: 768px) {
        left: 100px;
    }

    @media screen and (max-width: 524px) {
        max-width: 50px;
    }
}

.purple-element-account{
    position: absolute;
    left: 20px;
    top: 170px;
    transform: rotate(70deg);
    animation: MoveUpDown 1.3s ease-in-out infinite;

    @media screen and (max-width: 768px) {
        top: 140px;
        max-width: 100px;
    }
}